Bug avec le script pour rendre la résolution en HD

6 Réponses • 138 Vues

Dracoyaniss

Graphiste

Salut à tous ! Déjà merci à yuri pour nous avoir partagé son script. Je suis ici aujourd'hui pour vous présenter un gros bug que j'ai eu avec ce dernier, en espérant que quelqu'un passe par la, et qu'il ai la gentillesse de m'aider. Voici le script en question : https://pokemonworkshop.fr/forum/index.php?topic=4828.msg124938#new . Apres avoir installer le script comme tu l'as dit, j'ai  tester ( Bien évidemment) Mais j'ai eu, à ma grande surprise un message d'erreur :

Apres cela, je pouvais quand même ouvrir le jeu mais......:


Comme d'habitude, le log :
================================Erreur de script================================
Message :
constant LiteRGSS::Config::Specific_Zoom not defined
 
Type : NameError
Script : 00900 NuriYuri 32x32 Res.rb (user)
Ligne : 27
Date : 03/09/2020 19:34:04
Game Version : 256
Logiciel : Pokémon SDK 24.84
===================================Backtraces===================================
[18] : 00900 NuriYuri 32x32 Res.rb (user) | ligne 27 remove_const
[17] : 00900 NuriYuri 32x32 Res.rb (user) | ligne 27 <module:Config>
[16] : 00900 NuriYuri 32x32 Res.rb (user) | ligne 19 <top (required)>
[15] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[14] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[13] : ScriptLoad.rb (PSDK) | ligne 49 load_scripts
[12] : ScriptLoad.rb (PSDK) | ligne 46 each
[11] : ScriptLoad.rb (PSDK) | ligne 46 load_scripts
[10] : ScriptLoad.rb (PSDK) | ligne 37 load_vscode_scripts
[9] : ScriptLoad.rb (PSDK) | ligne 29 start
[8] : tools/GameLoader/50_load_game_uncompiled.rb (PSDK) | ligne 7 <top (required)>
[7] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[6] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[5] : ScriptLoad.rb (PSDK) | ligne 124 load_tool
[4] : tools/GameLoader/Z_load_uncompiled.rb (PSDK) | ligne 10 <top (required)>
[3] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[2] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[1] : ScriptLoad.rb (PSDK) | ligne 124 load_tool
[0] : Game.rb (RMXP) | ligne 24 <main>
===================================Fin du log===================================

j'allais oublier...Voici la ligne 27, la fameuse :


J'ai essayé avec le deuxième script, mais....Me voila avec encore plus d'incompréhension :


Log :
================================Erreur de script================================
Message :
undefined method `update_background_animation' for nil:NilClass

Type : NoMethodError
Script : 01400 GamePlay/00600 Save & Load/00300 Language_Choice.rb (PSDK)
Ligne : 44
Date : 03/09/2020 19:56:04
Game Version : 256
Logiciel : Pokémon SDK 24.84
===================================Backtraces===================================
[20] : 01400 GamePlay/00600 Save & Load/00300 Language_Choice.rb (PSDK) | ligne 44 update_graphics
[19] : 01400 GamePlay/00000 GamePlay__Base.rb (PSDK) | ligne 559 update
[18] : 01400 GamePlay/00000 GamePlay__Base.rb (PSDK) | ligne 283 main_process
[17] : 01400 GamePlay/00000 GamePlay__Base.rb (PSDK) | ligne 158 main
[16] : 01400 GamePlay/00000 GamePlay__Base.rb (PSDK) | ligne 230 call_scene
[15] : 01400 GamePlay/00600 Save & Load/00200 Load.rb (PSDK) | ligne 228 create_new_party
[14] : 01400 GamePlay/00600 Save & Load/00200 Load.rb (PSDK) | ligne 213 create_new_game
[13] : 01400 GamePlay/00600 Save & Load/00200 Load.rb (PSDK) | ligne 237 check_up
[12] : 01400 GamePlay/00600 Save & Load/00200 Load.rb (PSDK) | ligne 32 main
[11] : 01400 GamePlay/00100 Scene_Title.rb (PSDK) | ligne 20 main
[10] : tools/GameLoader/Z_main.rb (PSDK) | ligne 17 <top (required)>
[9] : tools/GameLoader/3_load_extensions.rb (PSDK) | ligne 35 rgss_main
[8] : tools/GameLoader/50_load_game_uncompiled.rb (PSDK) | ligne 32 <top (required)>
[7] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[6] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[5] : ScriptLoad.rb (PSDK) | ligne 124 load_tool
[4] : tools/GameLoader/Z_load_uncompiled.rb (PSDK) | ligne 10 <top (required)>
[3] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[2] : /lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb (ruby) | ligne 59 require
[1] : ScriptLoad.rb (PSDK) | ligne 124 load_tool
: Game.rb (RMXP) | ligne 24 <main>

===================================Fin du log===================================

Merci de bien vouloir m'aider 😥.

Bug PSDK Support SK

Nuri Yuri

HostMaster

On a l'issue suivante qui devrait servir à corriger les soucis du script HD (en le rendant inutile): https://gitlab.com/pokemonsdk/pokemonsdk/-/issues/240
ln(yo) = <3

Eurons

Mappeur

Bonjour,

je me permet, je me demandais si il était d'ailleurs possible de permettre un upscale automatique de la résolution "1280/960" en étirement 16/9 à partir de cette nouvelle issue ?
Je sais que le rendue ne conviendrais pas à tout le monde, mais ce serait quelque chose qui dans mon cas suffirait. (pour avoir tester le rendu en faisant buguer mon écran)

Dracoyaniss

Graphiste

Salut yuri ! déjà, merci de m'avoir répondu. Mais dans le lien gitlab que tu m'as envoyer, je ne trouve qu'une seule phrase disant : "Ajoutez une meilleure façon de configurer Tilemap. Ensuite, corrigez le zoom du personnage." Et je t’avous que je ne comprend pas trop -_-", de plus que je ne m'y retrouve pas du tout dans gitlab et scie.........

Nuri Yuri

HostMaster

Pour l'instant c'est qu'au stade d'issue, quelqu'un se chargera si la personne a le temps de s'en occuper (ce qui n'est pas mon cas).

@Eurons: Ceci permettra de configurer le tilemap et l'affichage de la map mais ça ne fera aucun ajustement sur tes UI, il faut que tu les ajuste toi même ^^'
ln(yo) = <3

Dracoyaniss

Graphiste

Ah donc le problème n'a pas déjà été réglé....Bon bah tant pis, j'attendrais alors 😄

Eurons

Mappeur

Pour l'instant c'est qu'au stade d'issue, quelqu'un se chargera si la personne a le temps de s'en occuper (ce qui n'est pas mon cas).

@Eurons: Ceci permettra de configurer le tilemap et l'affichage de la map mais ça ne fera aucun ajustement sur tes UI, il faut que tu les ajuste toi même ^^'

C'est de ce genre de rendu dont je parle, je veux juste savoir si c'est possible de le faire ou non sous PSDK ? Parceque le suel moyen d'obtenir sa, c'est de brancher un double écran pour le moment XD Si oui je me pencherais sur la question, doit bien y avoir des infos sur le net :p



There was an error while thanking
Thanking...